Skip to content
Start here

List Events

GET/accounts/{account_id}/magic/connectors/{connector_id}/telemetry/events

List Events

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
Path ParametersExpand Collapse
account_id: string

Account identifier

maxLength32
connector_id: string
Query ParametersExpand Collapse
from: number
to: number
cursor: optional string
k: optional string

Filter by event kind

limit: optional number
ReturnsExpand Collapse
result: object { count, items, cursor }
count: number
items: array of object { a, k, n, t }
a: number

Time the Event was collected (seconds since the Unix epoch)

k: string

Kind

n: number

Sequence number, used to order events with the same timestamp

t: number

Time the Event was recorded (seconds since the Unix epoch)

cursor: optional string
success: boolean
errors: optional array of object { code, message }
code: number
message: string
messages: optional array of object { code, message }
code: number
message: string

List Events

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/connectors/$CONNECTOR_ID/telemetry/events \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "count": 0,
    "items": [
      {
        "a": 0,
        "k": "k",
        "n": 0,
        "t": 0
      }
    ],
    "cursor": "cursor"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "count": 0,
    "items": [
      {
        "a": 0,
        "k": "k",
        "n": 0,
        "t": 0
      }
    ],
    "cursor": "cursor"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}